/* Global Styles */
body {
    background: #f8f9fa;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
}

.signup-form .mb-3,
.login-form .mb-3 {
    margin-bottom: 1rem !important;
    /* Bootstrap's mb-3 = 16px */
}

/* On smaller devices (<= 768px) */
@media (max-width: 768px) {

    .signup-form .mb-3,
    .login-form .mb-3 {
        margin-bottom: 0.5rem !important;
        /* Bootstrap's mb-2 = 8px */
    }
}
.mb-6 {
     margin-bottom: 5rem !important;
}
/* .mt-6 {
     margin-top: 4.5rem !important;
} */

/* Signup Page */
.signup-page {
    background: #f4f4f4;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.signup-card {
    max-width: 480px;
    /* desktop max */
    width: 100%;
    overflow: hidden;
    padding: 30px 20px;
    background-color: #fff;
    border-radius: 6px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

/* Header */
.signup-header {
    background: linear-gradient(90deg, #673ab7, #03a9f4);
    border-radius: 6px;
    overflow: hidden;
    position: relative;
    padding: 20px;
}

.signup-header .heading1 {
    font-size: 28px;
    font-weight: 700;
    color: #fff;
}

.signup-header .heading2 {
    font-size: 20px;
    font-weight: 600;
    color: #fff;
}

.signup-header .heading3 {
    font-size: 16px;
    color: #f1f1f1;
}

.signup-img {
    position: absolute;
    width: 120px;
    height: auto;
    right: 10px;
    top: 10px;
}

/* Form Labels */
.form-label,
.form-check-label {
    font-size: 15px;
    font-weight: 500;
    margin-bottom: 4px;
    color: #212121;
}

/* Input Fields */
.signup-card input {
    font-size: 15px;
    padding: 10px;
    border-radius: 4px;
    border: 1px solid #bbb;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.signup-card input:focus {
    border-color: #03a9f4;
    box-shadow: 0 0 4px rgba(3, 169, 244, 0.5);
    outline: none;
}

/* Button Gradient Animation */
.commn-btn {
    font-size: 16px;
    text-transform: uppercase;
    background: linear-gradient(90deg, #673ab7, #03a9f4);
    background-size: 200% auto;
    color: #fff;
    font-weight: 600;
    letter-spacing: 1.2px;
    border-radius: 4px;
    padding: 12px 5px;
    border: none;
    transition: all 0.4s ease-in-out;
}

.commn-btn:hover {
    color: #fff !important;
    background-position: right center;
    transform: scale(1.05);
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
}

.other-btn {
    font-size: 16px;
    /* text-transform: uppercase; */
    background: linear-gradient(135deg, #74c177, #084a0a);
    background-size: 200% auto;
    color: #fff;
    font-weight: 600;
    letter-spacing: 1.2px;
    border-radius: 4px;
    padding: 12px 5px;
    border: none;
    transition: all 0.4s ease-in-out;
}

.other-btn:hover {
    color: #fff !important;
    background-position: right center;
    transform: scale(1.05);
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
}



/* Links */
.link {
    font-size: 14px;
    color: #000;
    text-decoration: none;
    transition: color 0.3s ease;
}

.link a {
    font-weight: 600;
    color: #03a9f4;
    text-decoration: none;
}

.link a:hover {
    color: #673ab7;
    text-decoration: underline;
}

.header-bar {
    background: linear-gradient(90deg, #673ab7, #03a9f4);
    position: sticky;
    top: 0;
    z-index: 1020;
    width: 100%;
}

/* Balance Card */
.balance-card {
    border-radius: 12px;
    overflow: hidden;
}

.balance-card .card-body {
    position: relative;
    background: url('../imgs/bg.jpg') no-repeat center/cover;
    color: #fff;
    border-radius: 12px;
    padding: 10px;
    width: 100%;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.cust-main-details {
    padding-right: 80px;
    position: relative;
}

.cust-details {
    padding-right: 80px;
    position: relative;
}

.user-id {
    font-size: 22px;
    font-weight: 600;
}

.cus-name {
    font-size: 36px;
    font-weight: bold;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}

.cus-email {
    font-size: 22px;
}

.cus-balance {
    line-height: 1;
}

.cus-balance .bal-head {
    font-size: 22px;
    font-weight: 600;
}

.cus-balance .bal-amount {
    font-size: 28px;
    font-weight: 700;
}

.cus-ref {
    line-height: 1;
    text-align: end;
}

.ref-head {
    font-size: 22px;
    font-weight: 500;
}

.ref-amount {
    font-size: 28px;
    font-weight: 700;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}

.cus-status {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    background: #fff;
    font-weight: bold;
    font-size: 36px;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    border-radius: 0 12px 12px 0;
    padding: 15px 8px;
    box-shadow: -2px 0 6px rgba(0, 0, 0, 0.15);
    border: 2px dashed #3b82f6;
    text-align: center;
}
.font-size-36{
    font-size: 36px !important;
}
.font-size-26{
    font-size: 26px !important;
}

.referral-card {
    border-radius: 12px;
    overflow: hidden;
}

.referral-card .card-body {
    position: relative;
    background: url('../imgs/bg.jpg') no-repeat center/cover;
    color: #fff;
    border-radius: 12px;
    padding: 10px;
    width: 100%;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}
/* Referral Box */
.referral-box {
    background: url('../imgs/bg.jpg') no-repeat center/cover;
    /* background: linear-gradient(90deg, #f8f9fa, #e3f2fd); */
    border: 1px solid #ddd;
}

.btn-outline-custome {
    color: #ddd !important;
    border-color: #212121 !important;
    background-color: #212121 !important;
}

/* Toast container */
.toast-message {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background: #a6f8b9; 
    color: #023f10;
    padding: 5px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: 500;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease, top 0.4s ease;
    z-index: 9999;
}
.toast-message.show {
    opacity: 1;
    top: 40px;
    pointer-events: auto;
}


/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    left: -260px;
    width: 260px;
    height: 100%;
    background: #fff;
    transition: 0.3s;
    z-index: 1050;
    box-shadow: 2px 0 6px rgba(0, 0, 0, 0.2);
}

.sidebar.active {
    left: 0;
}

.sidebar a{
    color:#212121;
    text-decoration: none;
}

.sidebar a:hover{
    color:#673ab7;
}
.sidebar a:active{
    color:#673ab7;
    font-weight: 600;
}


.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    z-index: 1040;
}

.overlay.active {
    display: block;
}

/* Footer Navigation */
.footer-nav {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: #fff;
    border-top: 1px solid #ddd;
    z-index: 1030;
}

.footer-nav .nav-item {
    color: #000;
    text-decoration: none;
}

.footer-nav .nav-item:hover {
    color: #03a9f4;
}

.top-heading {
    background: #fff;
    color: #212121;
    padding: 10px 5px;
    border-bottom: 2px solid #212121;
    margin-bottom: 20px;
}

.back-btn-sec {
    text-decoration: none;
    color: #212121;
    font-weight: 700;
}
.back-btn-icon {
    display: inline-block;
    margin-right: 5px;
    background: linear-gradient(90deg, #673ab7, #03a9f4);
    border-radius: 50%;
    padding: 2px;
    color: #fff;
    font-size: 24px;
    line-height: 1;
    margin-right: 10px;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.3);
}
.ref-table th, .ref-table td {
    font-size: 14px;
}
.form-card {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    padding: 20px;
    background: #fff;
}
.form-heading{
    border-bottom: 1px solid #212121;
}
.left-side{
    width: 30%;
}
.left-side .deposit-heading{
    font-size: 36px;
}
.right-side{
    height: 100%;
    background: #fff;
    font-size: 36px;
    border-radius: 0 12px 12px 0;
    padding: 15px 5px;
    box-shadow: -2px 0 6px rgba(0, 0, 0, 0.15);
    border: 2px dashed #673ab7;
    text-align: center;
    width: 70%;
}
.right-side .qr-code-img{
    width: 200px;
}
/* ===============================
   RESPONSIVE BREAKPOINTS
   =============================== */

/* Tablets (up to 991px) */
@media (max-width: 991px) {
    .signup-page {
        background: #fff;
    }

    .signup-card {
        max-width: 100%;
        padding: 25px 0px;
        box-shadow: none;
    }

    .signup-header .heading1 {
        font-size: 24px;
    }

    .signup-header .heading2 {
        font-size: 18px;
    }

    .signup-header .heading3 {
        font-size: 14px;
    }

    .signup-img {
        width: 60px;
    }
}

/* Mobile Landscape (up to 768px) */
@media (max-width: 768px) {
    .signup-card {
        padding: 20px 0px;
    }

    .signup-header {
        padding: 15px;
    }

    .signup-header .heading1 {
        font-size: 22px;
    }

    .signup-header .heading2 {
        font-size: 16px;
    }

    .signup-header .heading3 {
        font-size: 13px;
    }

    .signup-img {
        width: 100px;
        right: 5px;
    }

    .signup-card input {
        font-size: 14px;
        padding: 9px;
    }

    .commn-btn {
        font-size: 15px;
        padding: 10px;
    }
    .other-btn {
        font-size: 15px;
        padding: 10px;
    }

    .balance-card .card-body {
    padding: 15px 10px;
}

    .cust-main-details {
        padding-right: 45px;
        position: relative;
    }

    .cust-details {
        padding-right: 45px;
    }

    .user-id {
        font-size: 16px;
    }

    .cus-name {
        font-size: 22px;
        line-height: 0.5em;
    }

    .cus-email {
        font-size: 16px;
    }
    .cus-balance .bal-head {
        font-size: 16px;
    }

    .cus-balance .bal-amount {
        font-size: 18px;
    }

    .cus-ref .ref-head {
        font-size: 16px;
    }

    .cus-ref .ref-amount {
        font-size: 18px;
    }

    .cus-status {
        font-size: 22px;
        padding: 15px 5px;
    }

    .font-size-36{
    font-size: 22px !important;
}
.font-size-26{
    font-size: 18px !important;
}

}

/* Mobile Portrait (up to 576px) */
@media (max-width: 576px) {
    .signup-card {
        padding: 15px 0px;
    }

    .signup-header {
        padding: 12px;
    }

    .signup-header .heading1 {
        font-size: 20px;
    }

    .signup-header .heading2 {
        font-size: 15px;
    }

    .signup-header .heading3 {
        font-size: 12px;
    }

    .signup-img {
        width: 100px;
    }

    .form-label {
        font-size: 14px;
    }

    .signup-card input {
        font-size: 13px;
    }

    .commn-btn {
        font-size: 14px;
        padding: 9px;
    }
    .other-btn {
        font-size: 14px;
        padding: 9px;
    }

    .link {
        font-size: 14px;
    }
}